<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<HEAD>
<title><%= resTit.getString("titLstSancionesPendientes")%></title>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">	
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
</HEAD>	
<%	
	m05bComun miComun = new m05bComun();
	String SancionPendiente = miComun.leerPropiedad("PDF.SancionPendiente"); 
%>

<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">
  <form NAME="formSancionPDFPendiente" METHOD="POST">
<%
	String sDpto = request.getParameter("codDpto");
	String srcPDF = SancionPendiente + "?DPTO="+sDpto;
	
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
            String sSentencia = "SELECT 1" +
                             " FROM "+ 
                             m05bConstantes.TAB_SANCIONES+ ","+m05bConstantes.TAB_VEHICULOS + ","+m05bConstantes.TAB_DESCRIPCIONES +
                             " WHERE "+ m05bConstantes.COL_45_MATRICULA +"="+ m05bConstantes.COL_34_MATRICULA+" AND "+
                             m05bConstantes.COL_45_FREC_DATOS+" Is Null AND "+
                             m05bConstantes.COL_99_CODTABLA+"(+)="+m05bConstantes.DESC_TIPOS_SANCION + " AND "+ 		
                             m05bConstantes.COL_45_TIPO+"= "+m05bConstantes.COL_99_CODDESC+"(+)"; 
            if (!(sDpto.equals(""))){
    	       sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_CODDPTO+ " = "+sDpto ;
    	    }
		    pstmt = conn.prepareStatement(sSentencia);
		    rs = pstmt.executeQuery();
%>
	
<TABLE class="general">
  <tr>
       <td align="right">
         <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Retornar" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
         <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />				               
       </td>
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
		<embed name='pdfSancionPendiente' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfSancionPendiente' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}
		} catch (Exception SQLException) {
			m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}
	%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
<SCRIPT language=JavaScript>
	function fncRetornar(cia) {
		var docu = document.formSancionPDFPendiente;
		docu.action="/m05bParqueMovilWar/m05bImpSancionesPendientesJsp.jsp" ;
		docu.submit();
	}
</SCRIPT>
</html>